PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::effective::EffectiveIndex2D::Field Struct Reference

`#include <solvers/optical/effective/eim.hpp>`

Collaboration diagram for plask::optical::effective::EffectiveIndex2D::Field:
[legend]

## Public Member Functions
| Field ()=default
| Field (dcomplex f, dcomplex b)
Field | operator* (dcomplex a) const
Field | operator/ (dcomplex a) const
Field | operator*= (dcomplex a)
Field | operator/= (dcomplex a)

## Public Attributes
dcomplex | F
dcomplex | B

## Detailed Description

Definition at line 42 of file eim.hpp.

## Constructor & Destructor Documentation

## ◆ Field() [1/2]

plask::optical::effective::EffectiveIndex2D::Field::Field | ( |  | ) |
| default

## ◆ Field() [2/2]

plask::optical::effective::EffectiveIndex2D::Field::Field | ( | dcomplex | f,
|  | dcomplex | b
| ) |  |
| inline

Definition at line 45 of file eim.hpp.

## Member Function Documentation

## ◆ operator*()

Field plask::optical::effective::EffectiveIndex2D::Field::operator* | ( | dcomplex | a | ) | const
| inline

Definition at line 46 of file eim.hpp.

## ◆ operator*=()

Field plask::optical::effective::EffectiveIndex2D::Field::operator*= | ( | dcomplex | a | ) |
| inline

Definition at line 48 of file eim.hpp.

## ◆ operator/()

Field plask::optical::effective::EffectiveIndex2D::Field::operator/ | ( | dcomplex | a | ) | const
| inline

Definition at line 47 of file eim.hpp.

## ◆ operator/=()

Field plask::optical::effective::EffectiveIndex2D::Field::operator/= | ( | dcomplex | a | ) |
| inline

Definition at line 53 of file eim.hpp.

## Member Data Documentation

## ◆ B

dcomplex plask::optical::effective::EffectiveIndex2D::Field::B

Definition at line 43 of file eim.hpp.

## ◆ F

dcomplex plask::optical::effective::EffectiveIndex2D::Field::F

Definition at line 43 of file eim.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/eim.hpp